# gp_TrsfForm.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | gp_TrsfForm { gp_Identity, gp_Rotation, gp_Translation, gp_PntMirror, gp_Ax1Mirror, gp_Ax2Mirror, gp_Scale, gp_CompoundTrsf, gp_Other }
| Enumerations . More...

## Enumeration Type Documentation

enum gp_TrsfForm

Enumeration values:

  gp_Identity |
  gp_Rotation |
  gp_Translation |
  gp_PntMirror |
  gp_Ax1Mirror |
  gp_Ax2Mirror |
  gp_Scale |
  gp_CompoundTrsf |
  gp_Other |